using Hotline.Users;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.FlowEngine.Workflows;

/// <summary>
/// 流程补充信息（启用：暂无此业务）
/// </summary>
public class WorkflowSupplement : CreationEntity
{
    public string WorkflowId { get; set; }

    /// <summary>
    /// 补充意见
    /// </summary>
    [SugarColumn(ColumnDataType = "text")]
    public string Opinion { get; set; }

    /// <summary>
    /// 附件
    /// </summary>
    [SugarColumn(ColumnDataType = "json", IsJson = true)]
    public List<string> Additions { get; set; } = new();

    [Navigate(NavigateType.OneToOne, nameof(CreatorId))]
    public User Creator { get; set; }
}